.catalog-section_contacts {
}

.catalog-container_contacts {
  position: relative;
}
.section-catalog_back-img_contacts {
  img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
    filter: brightness(70%);
  }
}

.section-catalog_block-contant_contacts {
  position: relative;
  display: flex;
  gap: 10px;

  @media (max-width: 1023px) {
    display: block;
  }
}
.catalog-head_block_contacts {
  display: flex;
  flex-direction: column;
  gap: 60px;
  @media (max-width: 767px) {
    gap: 24px;
  }
  h1 {
    font-family: Unbounded;
    font-weight: 500;
    font-size: 60px;
    line-height: 125%;
    letter-spacing: 0%;

    color: white;
    width: 872px;

    @media (max-width: 1439px) {
      font-size: 48px;
    }
    @media (max-width: 1023px) {
      font-size: 40px;
      width: 600px;
    }
    @media (max-width: 767px) {
      font-size: 30px;
      width: 343px;
    }
  }
}
.catalog-nav_contacts {
  font-family: Onest;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  letter-spacing: 0%;

  color: white;

  @media (max-width: 767px) {
    font-size: 16px;
  }

  a {
    color: rgba(213, 217, 226, 1);
    transition: 0.3s ease;

    &:hover {
      color: white;
    }
  }

  p {
    display: inline;
  }
}
.catalog-button_contacts {
  padding: 16px 32px;
  width: fit-content;

  @media (max-width: 490px) {
    width: 100%;
  }
}

/* map */

.map-container {
  background-color: rgba(245, 246, 248, 1);
}
.map-block {
  margin-top: 60px;

  @media (max-width: 767px) {
    margin-top: 24px;
  }

  iframe {
    width: 100%;
    height: 710px;

    @media (max-width: 1023px) {
      height: 560px;
    }
    @media (max-width: 767px) {
      height: 240px;
    }
  }
}
.map-content {
  display: flex;
  gap: 120px;

  margin-top: 24px;

  @media (max-width: 1023px) {
    flex-direction: column;
    gap: 32px;
  }
  @media (max-width: 767px) {
    gap: 24px;
  }
}
.map-content_block {
  display: flex;
  flex-direction: column;
  gap: 24px;

  @media (max-width: 767px) {
    gap: 12px;
  }
}
.map-content_block-text_one {
  display: flex;
  align-items: center;
  gap: 16px;

  div {
    svg {
      @media (max-width: 767px) {
        width: 24px;
        height: 24px;
      }
    }
  }

  p {
    font-family: Onest;
    font-weight: 600;
    font-size: 24px;
    line-height: 150%;
    letter-spacing: 0%;
    vertical-align: bottom;

    color: black;

    @media (max-width: 767px) {
      font-size: 18px;
    }
  }
}
.map-work {
  font-family: Onest;
  font-weight: 500;
  font-size: 20px;
  line-height: 150%;
  letter-spacing: 0%;
  vertical-align: bottom;

  @media (max-width: 767px) {
    font-size: 16px;
  }
}

/* social */

.social-block {
  margin-top: 60px;

  display: flex;
  justify-content: center;
  gap: 40px;

  @media (max-width: 767px) {
    gap: 12px;

    margin-top: 24px;
  }

  a {
    border-radius: 50%;

    svg {
      border-radius: 50%;

      @media (max-width: 1439px) {
        width: 90px;
        height: 90px;
      }
      @media (max-width: 767px) {
        width: 48px;
        height: 48px;
      }
    }
  }
}
